Subject: Re: Q: Ensoniq & mouse softswitches
From: [email-masked] (Neil Parker)
Date: 5 Jul 1996 09:15:35 GMT
Newsgroups: comp.sys.apple2.programmer

In article <[email-masked]> [email-masked] (Henrik
'Ratte' Gudat) writes:
>[...]
>b) The Firmware Ref and the Hardware each state exactly the opposite. When
>reading C024 (X/Y mouse deltas), which value comes first? Is it..
>
>  i) C027: first bit 1 is 0 and C024 contains X data, then
>                 bit 1 is 1 and C024 contains Y data, or
>
> ii) C027: first bit 1 is 0 and C024 contains Y data, then
>                 bit 1 is 1 and C024 contains X data ?

The Firmware Reference is correct, i.e. your choice number 1.  I verified
this by disassembling the READMOUSE call.

I've usually found that the Firmware Reference is much more reliable than
the Hardware Reference (I can't testify about the second edition of the
Hardware Reference, but the first edition is crawling with errors, not all
of which are fixed by IIGS Technical Note #30).  But even the Firmware
Reference isn't perfect...there are a handful of facts that are wrong in
both manuals, such as the descriptions of the DISKREG ($C031) and CLOCKCTL
($C034) I/O locations.

              - Neil Parker
-- 
Neil Parker                       | No cute quote, no cute ASCII art, no cute
[email-masked]         | disclaimer, no deposit, no return....
[email-masked]           | (This space intentionally left blank:
http://cie-2.uoregon.edu/~nparker |                                           )